Bug 68868 - FILEOPEN xlsx opened with stretch image
Summary: FILEOPEN xlsx opened with stretch image
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.5.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Ravindra Vidhate
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks: 91286 91287
  Show dependency treegraph
 
Reported: 2013-09-03 05:24 UTC by kelvin
Modified: 2016-09-15 11:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
open the xlsx image duplicate (124.71 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-09-03 05:24 UTC, kelvin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kelvin 2013-09-03 05:24:20 UTC
Created attachment 85101 [details]
open the xlsx image duplicate

FILEOPEN .xlsx with libreoffice calc Version 4.0.5.2 Image duplicate with stretch image.
Comment 1 Thomas van der Meulen 2013-09-29 07:33:02 UTC
Thank you for your bug report,
I can reproduce this bug running LibreOffice: 
Version: 4.2.0.0.alpha0+
Build ID: 164b6ce7b27c0a9ec19019e7b078b9f8f382007d
TinderBox: Win-x86@39, Branch:master, Time: 2013-09-28_16:39:4
And Mircosoft Word 2007
Comment 2 Thomas van der Meulen 2013-09-29 07:33:23 UTC
Excel 2007 sorry
Comment 3 QA Administrators 2015-04-19 03:22:49 UTC Comment hidden (obsolete)
Comment 4 Ravindra Vidhate 2015-05-13 06:15:21 UTC
The attached file contains 2 issues.

1. The image is stretched. The image is anchored with 2 cells [TwoCellAnchor]. But the 2 cells are referencing to the same cell. So, technically, it is kind of OneCellAnchor.

I will fix the above with reference to this bug.


2. While exporting the issue, the images gets exported double. I will raise the different issue for it.
Comment 5 Ravindra Vidhate 2015-05-14 13:49:58 UTC
There is one more issue with this file.

When I export the attached file as XLSX file format and open it in MS-Office, it shows me that "the file is corrupted".

I will file another issue for it.
Comment 6 Ravindra Vidhate 2015-05-14 14:29:38 UTC
(In reply to Ravindra Vidhate from comment #4)
> The attached file contains 2 issues.
> 
> 1. The image is stretched. The image is anchored with 2 cells
> [TwoCellAnchor]. But the 2 cells are referencing to the same cell. So,
> technically, it is kind of OneCellAnchor.
> 
> I will fix the above with reference to this bug.
> 
> 
> 2. While exporting the issue, the images gets exported double. I will raise
> the different issue for it.

I have filed issue tdf#91286 for above item 2.
Comment 7 Ravindra Vidhate 2015-05-14 14:30:13 UTC
(In reply to Ravindra Vidhate from comment #5)
> There is one more issue with this file.
> 
> When I export the attached file as XLSX file format and open it in
> MS-Office, it shows me that "the file is corrupted".
> 
> I will file another issue for it.

I have filed tdf#91287 for the corruption.
Comment 8 A (Andy) 2015-05-15 10:07:11 UTC
Reproducible with LO 4.4.3.2, Win 8.1, in Excel it looks fine
Comment 9 Commit Notification 2015-07-20 21:12:19 UTC
Ravindra_Vidhate committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b71901da42a0429ff759b96bc9dd7cfd1bd189ac

tdf#68868: better handle xlsx with samecell anchor image

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2016-09-14 22:53:31 UTC
Stretch image looks to be fixed in 

Version: 5.3.0.0.alpha0+
Build ID: f21ff5b68feca83207c5e7050e48d10079363322
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Thus close this as RESOLVED FIXED